Bug 1106166 - perl-OpenOffice-UNO: FTBFS in rawhide: tests fail randomly
Summary: perl-OpenOffice-UNO: FTBFS in rawhide: tests fail randomly
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-OpenOffice-UNO
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL: https://apps.fedoraproject.org/kosche...
Whiteboard:
: 1239779 (view as bug list)
Depends On:
Blocks: F21FTBFS F23FTBFS
TreeView+ depends on / blocked
 
Reported: 2014-06-09 03:19 UTC by Dennis Gilmore
Modified: 2018-11-28 07:37 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-28 07:37:55 UTC


Attachments (Terms of Use)

Description Dennis Gilmore 2014-06-09 03:19:42 UTC
Your package perl-OpenOffice-UNO failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=6953693

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

Comment 1 Petr Pisar 2014-06-17 11:01:36 UTC
Test t/16.t crashes on x86_64 only:

t/16.t (Wstat: 139 Tests: 1 Failed: 0)
  Non-zero wait status: 139

Comment 2 Petr Pisar 2014-08-29 11:19:16 UTC
I got another failure:

t/08.t (Wstat: 139 Tests: 1 Failed: 0)
  Non-zero wait status: 139

The difference between last working and this buildroot is:

Removed packages:
	atk-2.13.3
	audit-libs-2.3.8
	bash-4.3.22
	cryptsetup-libs-1.6.5
	glib2-2.41.2
	harfbuzz-0.9.34
	harfbuzz-icu-0.9.34
	hwdata-0.268
	krb5-libs-1.12.1
	libwayland-client-1.5.0
	libwayland-server-1.5.0
	nspr-4.10.6
	nss-3.16.2
	nss-softokn-3.16.2
	nss-softokn-freebl-3.16.2
	nss-sysinit-3.16.2
	nss-tools-3.16.2
	nss-util-3.16.2
	p11-kit-0.20.3
	p11-kit-trust-0.20.3
	pango-1.36.5
	perl-HTTP-Tiny-0.047
	perl-Pod-Perldoc-3.23
	perl-Socket-2.014
	perl-Test-Harness-3.32
	perl-version-0.99.08
	rpm-4.11.90
	rpm-build-4.11.90
	rpm-build-libs-4.11.90
	rpm-libs-4.11.90
	rpm-plugin-selinux-4.11.90
	setup-2.9.1
	sqlite-3.8.5
	systemd-215
	systemd-libs-215
Added packages:
	atk-2.13.90
	audit-libs-2.4
	bash-4.3.24
	cryptsetup-libs-1.6.6
	glib2-2.41.3
	harfbuzz-0.9.35
	harfbuzz-icu-0.9.35
	hwdata-0.269
	krb5-libs-1.13
	libwayland-client-1.5.91
	libwayland-server-1.5.91
	nspr-4.10.7
	nss-3.17.0
	nss-softokn-3.17.0
	nss-softokn-freebl-3.17.0
	nss-sysinit-3.17.0
	nss-tools-3.17.0
	nss-util-3.17.0
	p11-kit-0.21.1
	p11-kit-trust-0.21.1
	pango-1.36.6
	perl-HTTP-Tiny-0.048
	perl-Pod-Perldoc-3.24
	perl-Socket-2.015
	perl-Test-Harness-3.33
	perl-version-0.99.09
	rpm-4.12.0
	rpm-build-4.12.0
	rpm-build-libs-4.12.0
	rpm-libs-4.12.0
	rpm-plugin-selinux-4.12.0
	setup-2.9.2
	sqlite-3.8.6
	systemd-216
	systemd-libs-216

I think is some race independent from buildroot.

Comment 3 Jaroslav Reznik 2015-03-03 15:54:43 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Petr Pisar 2016-02-17 16:22:03 UTC
*** Bug 1239779 has been marked as a duplicate of this bug. ***

Comment 5 Upstream Release Monitoring 2016-02-17 16:41:44 UTC
ppisar's perl-OpenOffice-UNO-0.07-19.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=715412

Comment 6 Upstream Release Monitoring 2016-05-17 15:12:38 UTC
jplesnik's perl-OpenOffice-UNO-0.07-20.fc25 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=762908

Comment 7 Fedora End Of Life 2016-07-19 11:39:19 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Petr Pisar 2017-06-12 14:58:32 UTC
This still issue. Especially with raising number of architectures, the probability of finishing a build successfully for all of them lowers. That prevents to rebuild this package against perl-5.26.0.

I recommend to either disable the tests if this is a bug in tests, or the retire this package.

Comment 9 Jan Kurik 2017-08-15 08:16:00 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.

Comment 10 Ben Cotton 2018-11-27 18:33:01 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.